Bug 1309264 - python-virtkey: Provide a Python 3 subpackage
python-virtkey: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-virtkey (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-17 05:42 EST by Petr Viktorin
Modified: 2016-10-08 22:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-virtkey-0.63.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-08 22:53:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Viktorin 2016-02-17 05:42:46 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:23:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 08:47:51 EDT
Hello Adam,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Petr Viktorin 2016-09-10 19:49:08 EDT
Fixed in [commit 5580300]. Thank you, Adam!
Should I close the bug or will you use it to track Bodhi updates?

[commit 5580300]: http://pkgs.fedoraproject.org/cgit/rpms/python-virtkey.git/commit/python-virtkey.spec?id=55803005ed68640aefbd47c347e5515bf93d1749
Comment 4 Adam Miller 2016-09-14 18:20:57 EDT
This should get closed when bodhi updates.
Comment 5 Fedora Update System 2016-09-23 20:53:40 EDT
python-virtkey-0.63.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-79072fd70e
Comment 6 Fedora Update System 2016-09-23 20:53:58 EDT
python-virtkey-0.63.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccfc496db8
Comment 7 Fedora Update System 2016-09-23 21:51:35 EDT
python-virtkey-0.63.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-267d6feab3
Comment 8 Fedora Update System 2016-10-08 22:53:07 EDT
python-virtkey-0.63.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.